
Foreman - Bug #26338

HTTP UEFI boot PXE loader use wrong smart proxy port

03/13/2019 01:03 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6983

  

Description

No matter if user select HTTP or HTTPS, the port under the smart-proxy was registered is always used. This can match HTTP or

HTTPS or not. Port numbers could be exposed by proxy (#26336) and this could be used in core.

Related issues:

Related to Smart Proxy - Feature #26336: Expose HTTP and HTTPS port numbers New

Related to Foreman - Tracker #26337: Improve HTTP Boot feature New

Related to Smart Proxy - Bug #27654: Expose http(s) port number setting via h... Closed

Associated revisions

Revision 165950eb - 10/17/2019 01:54 PM - Lukáš Zapletal 

Fixes #26338 - use port from HTTP boot feature (#6983)

History

#1 - 03/13/2019 01:03 PM - Lukas Zapletal

- Related to Feature #26336: Expose HTTP and HTTPS port numbers added

#2 - 03/13/2019 01:04 PM - Lukas Zapletal

- Related to Tracker #26337: Improve HTTP Boot feature added

#3 - 08/19/2019 09:09 AM - Lukas Zapletal

- Related to Bug #27654: Expose http(s) port number setting via httpboot plugin added

#4 - 08/19/2019 02:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/6983 added

#5 - 10/17/2019 01:54 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#6 - 10/17/2019 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 165950eb628cbb27837717a4656d2eb9f7cf54bb.
